> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Lists

> API to fetch a paginated list of all lists created in your workspace.



## OpenAPI

````yaml GET /v1/subscriber_list/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/:
    get:
      summary: Get all Lists
      description: API to fetch a paginated list of all lists created in your workspace.
      operationId: get-all-lists
      parameters:
        - name: limit
          in: query
          description: number of results to be returned in API response
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: starting position of tenant list
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 53
                      limit: 2
                      offset: 0
                    results:
                      - drafts: null
                        source: null
                        status: active
                        list_id: list_01
                        list_name: sample list 01
                        list_type: static_list
                        created_at: '2025-04-04T07:33:06.943+00:00'
                        updated_at: '2025-04-04T07:33:06.943+00:00'
                        version_id: null
                        is_readonly: false
                        track_user_exit: false
                        list_description: _some sample description_
                        track_user_entry: false
                        subscribers_count: 0
                        requested_for_delete: false
                      - drafts: null
                        source: database_sync
                        status: active
                        list_id: list_02
                        list_name: sample list 02
                        list_type: static_list
                        created_at: '2024-12-20T12:09:28.727+00:00'
                        updated_at: '2025-04-04T07:32:32.127275+00:00'
                        version_id: null
                        is_readonly: false
                        track_user_exit: true
                        list_description: _some sample description_
                        track_user_entry: true
                        subscribers_count: 31
                        requested_for_delete: false
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        example: 53
                      limit:
                        type: integer
                        example: 2
                      offset:
                        type: integer
                        example: 0
                  results:
                    type: array
                    items:
                      type: object
                      description: List object similar to list upsert function.
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: Not Authenticated - could not find Workspace details
              schema:
                type: object
                description: error message details
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````